REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_basic_info.7a.sql
REM * Author    : 
REM * Created  : 2004.2.1
REM * Last Update  :
REM * Description : Database ⺻ Report ( )
REM  ************************************************************************

SELECT /*+ NO_MERGE(INST) NO_MERGE(DB)
        NO_MERGE(LOG) NO_MERGE(TBS)
        NO_MERGE(DBF) NO_MERGE(USERS)
        NO_MERGE(DB_VOL)
     */
  DB.NAME "DB NAME",
  DB_VOL.GB "DB VOLUME(GB)",
  DB.LOG_MODE "DB LOG MODE",
  LOG."CURRENT" AS "CUR. LOG SEQ NO." ,
  SESS.SESSION_CNT "SESSION COUNT",
  DB_VOL.TBS_CNT "TBS COUNT",
  DB_VOL.DBF_CNT "DATAFILE COUNT",
  USERS.USER_CNT "USERS COUNT"
  
FROM (
    SELECT KEY,
    ROUND(VALUE/60/60) HOURS
    FROM V$INSTANCE@@
    WHERE KEY = 'STARTUP TIME - SECONDS') INST,
  (
    SELECT LOG_MODE, NAME
    FROM V$DATABASE@@) DB,
  (
    SELECT DECODE(STATUS, 'CURRENT', V.SEQUENCE#) AS "CURRENT",
      V.*
    FROM V$LOG@@ V
    WHERE STATUS = 'CURRENT') LOG,
  (
    SELECT COUNT(*) AS SESSION_CNT
    FROM V$SESSION@@) SESS,
  ( 
    SELECT COUNT(*) AS USER_CNT
    FROM DBA_USERS@@) USERS,
    (SELECT SUM(CNT) DBF_CNT, SUM(TS_CNT) TBS_CNT, SUM(GB) GB FROM 
    (
    SELECT COUNT(*) CNT, COUNT(DISTINCT TABLESPACE_NAME) TS_CNT, TRUNC(SUM(BYTES)/1024/1024/1024,2) GB
        FROM DBA_DATA_FILES@@
    UNION ALL
    SELECT COUNT(*) CNT, COUNT(DISTINCT TABLESPACE_NAME) TS_CNT, TRUNC(SUM(BYTES)/1024/1024/1024,2) GB
        FROM DBA_TEMP_FILES@@ )) DB_VOL;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************
