REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : bg_basic_info.9a.sql
REM * Author    : 
REM * Created  : 2004.2.1
REM * Last Update  :
REM * Description : Database ⺻ Report ( )
REM  ************************************************************************


SELECT /*+ NO_MERGE(INST) NO_MERGE(DB)
        NO_MERGE(LOG) NO_MERGE(TBS)
        NO_MERGE(DBF) NO_MERGE(USERS)
        NO_MERGE(DB_VOL)
     */ 
  INST.HOST_NAME,
  DB.NAME DB_NAME,
  INST.INSTANCE_NAME,
  DB_VOL.GB DB_VOLUME_GB,
  INST.STARTUP_TIME,
  INST.ARCHIVER ARCHIVE_PROC,
  DB.LOG_MODE DB_LOG_MODE,
  LOG.CURR AS CUR_LOG_SEQ_NO ,
  SESS.SESSION_CNT SESSION_COUNT,
  DB_VOL.TS_CNT TBS_COUNT,
  DB_VOL.DBF_CNT DATAFILE_COUNT,
  USERS.USER_CNT USERS_COUNT
  
FROM (
    SELECT INSTANCE_NAME ,
      STARTUP_TIME,
      ARCHIVER,
      HOST_NAME,
      VERSION
    FROM V$INSTANCE@@) INST,
  (
    SELECT LOG_MODE, NAME
    FROM V$DATABASE@@) DB,
  (
    SELECT DECODE(STATUS, 'CURRENT', V.SEQUENCE#) AS CURR,
      V.*
    FROM V$LOG@@ V
    WHERE STATUS = 'CURRENT') LOG,
  (
    SELECT COUNT(*) AS SESSION_CNT
    FROM V$SESSION@@) SESS,
  ( 
    SELECT COUNT(*) AS USER_CNT
    FROM DBA_USERS@@) USERS,
  (
    SELECT SUM(CNT) DBF_CNT, SUM(TS_CNT) TS_CNT, SUM(GB) GB FROM (
    SELECT COUNT(*) CNT, COUNT(DISTINCT TABLESPACE_NAME) TS_CNT, TRUNC(SUM(BYTES)/1024/1024/1024,2) GB
        FROM DBA_DATA_FILES@@
    UNION ALL
    SELECT COUNT(*) CNT, COUNT(DISTINCT TABLESPACE_NAME) TS_CNT, TRUNC(SUM(BYTES)/1024/1024/1024,2) GB
        FROM DBA_TEMP_FILES@@ )
    ) DB_VOL;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


