REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_ts_iostat.sql
REM * Author    : 
REM * Created  : 2005.11.17
REM * Last Update  :
REM * Description : Tablespace IO statistics.
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Tablespace Status
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_ts_iostat.sql
PROMPT                
PROMPT  ========================================================================


        SELECT V3.*
        FROM (
            SELECT TS_NAME, GB,
              MB,ROWNUM SIZE_SEQ,
              PR,ROUND(PBR/TPR, 2) PR_RATIO, PR_SEQ, 
              ROUND(RT/PR/100, 5) AVG_PR_TIME_SEC,
              PW, ROUND(PBW/TPW, 2) PW_RATIO, 
              ROUND(WT/PW/100, 5) AVG_PW_TIME_SEC,
              PBR, ROUND(RT/PBR/100, 5) AVG_PBR_TIME_SEC,
              PBW, ROUND(WT/PBW/100, 5) AVG_PBW_TIME_SEC,
              RT, WT
            FROM (
                SELECT V1.*,
                    ROWNUM PR_SEQ
                FROM (
                    SELECT D1.TABLESPACE_NAME TS_NAME,
                      ROUND(SUM(BYTES)/1024/1024/1024, 1) GB,
                      ROUND(SUM(BYTES)/1024/1024, 1) MB,
                      SUM(PHYRDS) PR,
                      SUM(PHYWRTS) PW,
                      SUM(PHYBLKRD) PBR,
                      SUM(PHYBLKWRT) PBW,
                      SUM(READTIM) RT,
                      SUM(WRITETIM) WT,
                      MAX(TPR) TPR,
                      MAX(TPW) TPW
                    FROM DBA_DATA_FILES@@ D1, V$FILESTAT@@ D2, 
                    (SELECT SUM(PHYRDS) TPR, SUM(PHYWRTS) TPW  
                        FROM V$FILESTAT@@) TRW
                    WHERE FILE_ID = FILE#
                    GROUP BY D1.TABLESPACE_NAME
                    ORDER BY SUM(PHYRDS) DESC  ) V1
                    ORDER BY MB DESC
                ) V2 
             ) V3
        ORDER BY PR DESC;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************
