REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_ts_maxext.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Tablespace Freespace Max(bytes)  
REM *     ū Nextextent  Table,Indexȸ
REM * 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Tablespace Free Space (Freespace max(bytes) < next extent )
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_ts_maxext.sql
PROMPT                
PROMPT  ========================================================================

COLUMN  owner     FORMAT A10 HEADING "Owner"
COLUMN  tablespace_name   FORMAT A20 HEADING "TS Name"

SELECT  a.owner,a.table_name as object_name,'Tab' as Type,a.tablespace_name,ROUND(b.max_free_size/1024,1) "max_free(kb)",
        ROUND(a.next_extent/1024,1) "Next_Extent(kb)",a.pct_increase
FROM  dba_tables@@ a,
 (select tablespace_name,max(bytes) max_free_size
         from  dba_free_space@@
         group  by tablespace_name) b
WHERE  a.tablespace_name = b.tablespace_name
AND  b.max_free_size < a.next_extent
UNION ALL
SELECT  a.owner,a.index_name as object_name,'Idx' as Type,a.tablespace_name,ROUND(b.max_free_size/1024,1) "max_free(kb)",
        ROUND(a.next_extent/1024,1) "Next_Extent(kb)",a.pct_increase
FROM  dba_indexes@@ a,
 (select tablespace_name,max(bytes) max_free_size
         from  dba_free_space@@
         group  by tablespace_name) b
WHERE  a.tablespace_name = b.tablespace_name
AND  b.max_free_size < a.next_extent;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************





