REM ************************************************************************
REM  * ProActive Expoert Service Programs
REM  * Version 1.0
REM  * Copyright(C) 2004.2   WizBase Co., Ltd
REM  ************************************************************************
REM *  FileName  : db_ts_stat.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Tablespace Status
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Tablespace Status
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : db_ts_stat.9a.sql
PROMPT                
PROMPT  ========================================================================

SELECT DECODE(SNO,1,TS_NAME,' --(SUM)-- ') TS_NAME, SUM(TOTAL) "Total(MB)", 
        SUM(USED) "Used(MB)", 
        SUM(FREE) "Free(MB)", 
        SUM(DECODE(SNO,1,MAXSize)) "Max(MB)",
        SUM(DECODE(SNO,1,FreePCT)) "Free(%)",
        SUM(DECODE(SNO,1,Pieces)) Pieces,
        SUM(DECODE(SNO,1,AVGFree)) "AvgFree(MB)"
         FROM (
SELECT SNO, DECODE(SNO,1,TS_NAME) TS_NAME,TOTAL, USED, FREE, MAXSize, FreePCT,Pieces,AVGFree
        FROM (
                SELECT  tablespace_name TS_NAME,
                        trunc(sum(asize)/1048576) Total,
                        trunc((sum(asize)-sum(free))/1048576) Used,
                        trunc((sum(free))/1048576) Free,
                        trunc(max(maxsize)/1048576) MaxSize,
                        trunc((sum(free)/1048576)*100/(sum(asize)/1048576),1) FreePCT,
                        sum(pieces) pieces,
                        trunc((sum(free)/1048576)/decode(sum(pieces),0,1,sum(pieces))) AVGFree
                FROM    (select tablespace_name,sum(bytes) asize,0 free,0 maxsize, 0 pieces 
                                     from dba_data_files@@
                              group by tablespace_name
                             union all
                             select * from (
                                 select 
                                    a.tablespace_name,sum(bytes) asize,
                                    round(sum(bytes) * ((sum(free_blocks)/sum(total_blocks)))) free,0 maxsize, 
                                    round(sum(b.free_extents)/count(*)) pieces
                                 from dba_temp_files@@ a, v$sort_segment@@ b
                                 group by a.tablespace_name)
                             union all
                        select tablespace_name,0 asize,sum(bytes) free,max(bytes) maxsize, count(*) pieces
                                     from dba_free_space@@
                              group by tablespace_name ) aa
                GROUP  BY aa.tablespace_name) A,
            (select 1 sno from dual union all select 2 from dual) B 
          )
GROUP BY SNO, TS_NAME
ORDER BY SNO, 6;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************
