REM	************************************************************************
REM 	*	Expert On-site Review Programs
REM 	*	Version 1.0
REM 	*	Copyright(C) 2001.5   WizBase Co., Ltd
REM 	************************************************************************
REM	* 	FileName 	: rac_global_cache_oper_ratio.sql
REM	*	Author   	: Hyuncheol.Kim
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Global Cache Operation Ratio
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Global Cache Operation Ratio
PROMPT  ========================================================================
PROMPT 	  Goal   : < 10%
PROMPT 	  Action : 
PROMPT 	  Desc   : ü Logical Reads(Buffer Access) Global Cache Access  .
PROMPT    FileName : rac_global_cache_oper_ratio.sql
PROMPT                
PROMPT 	========================================================================

SELECT a.value "global cache gets",
  b.value "global cache converts",
  d.value "db block gets",
  e.value "consistent gets" ,
  f.value "g cache cr blocks received",
  g.value "g cache curr blocks received",
  Round(((a.value+b.value+f.value+g.value)/(d.value+e.value))*100,3) "Cache Hit Ratio"
FROM v$sysstat@@ a,
  v$sysstat@@ b,
  v$sysstat@@ d,
  v$sysstat@@ e,
  v$sysstat@@ f,
  v$sysstat@@ g
WHERE a.name='global cache gets'
  AND b.name='global cache converts'
  AND d.name='db block gets'
  AND e.name='consistent gets'
  AND f.name='global cache cr blocks received'
  AND g.name='global cache current blocks received';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
