REM	************************************************************************
REM 	*	Expert On-site Review Programs
REM 	*	Version 1.0
REM 	*	Copyright(C) 2001.5   WizBase Co., Ltd
REM 	************************************************************************
REM	* 	FileName 	: rac_local_buffer_hit_Ratio.sql
REM	*	Author   	: Hyuncheol.Kim
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Buffer Cache Hit Ratio
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Local Buffer Cache Hit Ratio
PROMPT  ========================================================================
PROMPT 	  Goal   : > 90%
PROMPT 	  Action : 
PROMPT 	  Desc   : Local Buffer Cache ϴ  ϴ .
PROMPT    FileName : rac_local_buffer_hit_Ratio.sql
PROMPT                
PROMPT 	========================================================================

SELECT a.value "physical reads",
  b.value "physical reads direct",
  c.value "physical reads direct (lob)",
  d.value "db block gets",
  e.value "consistent gets" ,
  f.value "g cache cr blocks received",
  g.value "g cache curr blocks received",
  Round((1-(((a.value-b.value-c.value)+f.value+g.value)/(d.value+e.value)))*100,3) "Cache Hit Ratio"
FROM v$sysstat@@ a,
  v$sysstat@@ b,
  v$sysstat@@ c,
  v$sysstat@@ d,
  v$sysstat@@ e,
  v$sysstat@@ f,
  v$sysstat@@ g
WHERE a.name='physical reads'
  AND b.name='physical reads direct'
  AND c.name='physical reads direct (lob)'
  AND d.name='db block gets'
  AND e.name='consistent gets'
  AND f.name='global cache cr blocks received'
  AND g.name='global cache current blocks received';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
