
REM  ************************************************************************
REM *  FileName  : sn_mts_circuit.sql
REM * Author    : 
REM * Created  : 2001.6.29
REM * Last Update  :
REM * Description : MTS Circuit Report
REM *************************************************************************


REM  ************************************************************************

PROMPT  ========================================================================
PROMPT  MTS Circuit Report
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : sn_mts_circuit.sql
PROMPT                
PROMPT  ========================================================================

SELECT  rawtohex(c.circuit) "Address ",
      d.name "Dispatcher ",
      ss.name "Server ",
      s.sid,
      s.serial#,
      c.status,
      c.queue,
      c.messages,
      c.bytes
FROM  v$circuit@@ c, 
 v$dispatcher@@ d, 
 v$session@@ s, 
 v$shared_server@@ ss
WHERE  c.dispatcher = d.paddr(+)
AND  c.server = ss.paddr(+)
AND  c.saddr=s.saddr(+)
ORDER  BY c.circuit;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

v7.
CIRCUIT  - Circuit address  
DISPATCHER  - Current dispatcher process address  
SERVER  - Current server process address  
WAITER  - Address of server process that is waiting for the (currently busy) circuit to 
                 become available  
SADDR  - Address of session bound to the circuit  
STATUS  -  Status of the circuit: BREAK (currently interrupted), EOF (about to be 
                   removed), OUTBOUND (an outward link to aremote database), NORMAL 
                  (normal circuit into the local database)  
QUEUE  -  Queue the circuit is currently on: COMMON (on the common queue, waiting to 
                 be picked up by a server process), DISPATCHER (waiting for the dispatcher), SERVER (currently being serviced), OUTBOUND (waiting to establish an outbound 
                connection), NONE (idle circuit)  
MESSAGE0  -  Size in bytes of the messages in the first message buffer  
MESSAGE1  -  Size in bytes of the messages in the second message buffer.  
MESSAGES  -  Total number of messages that have gone through this circuit  
BYTES  -  Total number of bytes that have gone through this circuit  
BREAKS  -  Total number of breaks (interruptions) for this circuit  


