
REM  ************************************************************************
REM *  FileName  : 
REM * Author    : KeonTaek.Lee
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : 
REM *************************************************************************

PROMPT  *************************************************************************
PROMPT  * Index Use Ratio by Session
PROMPT  *************************************************************************
PROMPT  *  Goal   : 
PROMPT  *  Action : Ǻ Index  
PROMPT  *  Desc   : 
PROMPT  *  FileName : sql_Ind_ratio_by_session.sql
PROMPT  *              
PROMPT  *************************************************************************

 
select /*+ ordered use_hash(c) swap_join_inputs(c) */ s.sid, s.program "Program",
       sum(decode(c.name, 'table fetch by rowid', a.value)) "Index Scan", 
       sum(decode(c.name, 'table scan rows gotten',a.value)) "Full Scan",   
       decode(sum(decode(c.name, 'table fetch by rowid', a.value))+sum(decode(c.name, 'table scan rows gotten',a.value)),0,
               -1, round(sum(decode(c.name, 'table fetch by rowid', a.value))/
                      (sum(decode(c.name, 'table fetch by rowid', a.value))+sum(decode(c.name, 'table scan rows gotten',a.value)))*100,2)) "Index Scan Ratio"
from v$session@@ s, v$sesstat@@ a, v$statname@@ c
where c.name in ( 'table scan rows gotten', 'table fetch by rowid' )
  and a.statistic# = c.statistic#   
  and s.sid = a.sid
  and s.type != 'BACKGROUND'
  and s.program not in ('OrangeMain.exe','Orange.exe')
group by s.sid, s.program
order by 5;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

 : Refrence Manual.. (v8.0.5)

[table fetch by rowid]
When rows are fetched using a ROWID (usually recovered from an index), each row returned increments this counter. 

This statistic is an indication of row fetch operations being performed with the aid of an index. Because doing table scans usually indicates either non-optimal queries or tables without indexes, this statistic should increase as the above issues have been addressed in the application. 

[table fetch continued row]
When a row that spans more than one block is encountered during a fetch, this statistic is incremented. 

Retrieving rows that span more than one block increases the logical I/O by a factor that corresponds to the number of blocks than need to be accessed. Exporting and re-importing may eliminate this problem. Taking a closer look at the STORAGE parameters PCT_FREE and PCT_USED. This problem cannot be fixed if rows are larger than database blocks (for example, if the LONG datatype is used and the rows are extremely large). 

[table scan blocks gotten]
During scanning operations, each row is retrieved sequentially by Oracle. Each block encountered during the scan increments this statistic. 

This statistic informs you of the number of database blocks that you had to get from the buffer cache for the purpose of scanning. Compare the value of this parameter to the value of consistent gets to get a feeling for how much of the consistent read activity can be attributed to scanning. For more information, see "consistent gets". 

[table scan rows gotten]
This statistic is collected during a scan operation, but instead of counting the number of database blocks, it counts the rows being processed. 










