
REM 	************************************************************************
REM	* 	FileName 	: sql_sql_exec_commit_cursor_Ratio.sql
REM	*	Author   	: KeonTaek.Lee
REM	*	Created		: 2002.9.24
REM	*	Last Update 	:
REM	*	Description	: sql_exec vs. commits/rollbacks vs.  cursor 
REM	*************************************************************************


SELECT s1.value "execute count",
  s2.value "user commits",
  s3.value "user rollbacks",
  s4.value "parse count (total)",
  s5.value "opened cursors cumulative",
  ROUND(s1.value/(s2.value+s3.value), 2) "SQL_Exec_Ratio",
  ROUND(s5.value/(s2.value+s3.value), 2) "Open_Cursor_Ratio",
  ROUND(s1.value/s4.value,2) "Exec_per_Parse_Ratio"
FROM v$sysstat@@ s1,
  v$sysstat@@ s2,
  v$sysstat@@ s3,
  v$sysstat@@ s4,
  v$sysstat@@ s5
WHERE s1.name = 'execute count'
  AND s2.name = 'user commits'
  AND s3.name = 'user rollbacks'
  AND s4.name = 'parse count (total)'
  AND s5.name = 'opened cursors cumulative';
  
  
  
  