
REM  ************************************************************************
REM *  FileName  : st_sort_sessratio.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.4.24.
REM * Last Update  :
REM * Description : Literal SQL 
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Literal SQL  
PROMPT  ========================================================================
PROMPT  *  Goal   : 
PROMPT  *  Action : bind  Ѵ.
PROMPT  *  Desc   : 
PROMPT  *  FileName : sql_literal_ratio.sql
PROMPT  *  
PROMPT  ========================================================================


SELECT B.TCNT AS "Total",
  A.LCNT AS "Literal" ,
  round((A.LCNT * 100)/(B.TCNT), 5) "Literal Ratio(%)",
  B.TECNT AS "Total_Exec",
  A.LECNT AS "Literal_Exec",
  round((A.LECNT * 100)/(B.TECNT), 5) "Literal Exec Ratio(%)"
FROM (
    SELECT SUM(CNT) LCNT, SUM("TotExecs") LECNT
    FROM (
        select substr(sql_text, 1, 40) "SQL",
          count(*) cnt,
          sum(executions) "TotExecs",
          sum(sharable_mem) mem,
          min(first_load_time) start_time,
          max(first_load_time) end_time,
          max(hash_value) hash
        from v$sqlarea@@
        where executions < 5
        group by substr(sql_text, 1, 40)
        having count(*) > 30)) A,
  (
    SELECT COUNT(*) TCNT, SUM(Executions) TECNT
    FROM V$SQLAREA@@) B ;

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


