
REM 	************************************************************************
REM	* 	FileName 	: st_buffcache_hit.sql
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Buffer Cache Hit Ratio
REM	*	Goal 	:
REM	*	Action 	:
REM	*************************************************************************

SELECT a.value "physical reads",
  b.value "physical reads direct",
  c.value "physical reads direct (lob)",
  d.value "db block gets",
  e.value "consistent gets" ,
  Round(1 - ((a.value - (b.value+c.value))/(d.value+e.value-(b.value+c.value))),5) * 100 ||'%' "Cache Hit Ratio"
FROM v$sysstat@@ a,
  v$sysstat@@ b,
  v$sysstat@@ c,
  v$sysstat@@ d,
  v$sysstat@@ e
WHERE a.name='physical reads'
  AND b.name='physical reads direct'
  AND c.name='physical reads direct (lob)'
  AND d.name='db block gets'
  AND e.name='consistent gets';

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
