
REM 	************************************************************************
REM	* 	FileName 	: st_latch_buffcache.sql
REM	*	Author   	: 
REM	*	Created		: 2001.7.2
REM	*	Last Update 	:
REM	*	Description	: Buffer cache latch contention
REM	*************************************************************************

PROMPT 	========================================================================
PROMPT 	Buffer cache latch contention
PROMPT  ========================================================================
PROMPT 	  Goal   : 3%
PROMPT 	  Action : 
PROMPT 	  Desc   : 
PROMPT    FileName : st_latch_buffcache.sql
PROMPT                
PROMPT 	========================================================================

COLUMN 	name			FORMAT	A40	HEADING "LATCH NAME"

COLUMN 	name			FORMAT	A30	HEADING "Latch Name"
COLUMN 	mg			FORMAT	999.99	HEADING "Miss Ratio"
COLUMN 	img			FORMAT	999.99	HEADING "Immediate Miss Ratio"


SELECT	name "Latch Name", sleeps, misses, gets,
	Round((misses/decode(gets,0,1,gets)) * 100,5) "Miss Ratio",
	Round((immediate_misses/decode(immediate_gets,0,1,immediate_gets))*100,5) "Immediate Miss Ratio"
FROM	v$latch@@
WHERE	name in ('cache buffers chains',
		 'cache buffer handles',
		 'cache buffers lru chain');

REM 	************************************************************************
REM 	*	End of script
REM 	************************************************************************
