
REM  ************************************************************************
REM *  FileName  : st_latch_libcache.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Library cache latch contention
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Library cache latch contention
PROMPT  ========================================================================
PROMPT    Goal   : O  
PROMPT    Action : 1. FRAGMENTATION (ORA-4031  -   )
PROMPT                2. INCREASE SHARING 
PROMPT                3. REDUCE PARSING 
PROMPT                4. CURSOR_SPACE_FOR_TIME
PROMPT                5. SESSION_CACHED_CURSORS 
PROMPT                6. USING FULLY QUALIFIED TABLE NAMES    
PROMPT                7. Shared_Pool Size ø ? (Reload , reparsing ) 
PROMPT               "Library Cache Latch Contention.html" .
PROMPT    Desc   : 
PROMPT    FileName : st_latch_libcache.sql
PROMPT               
PROMPT  ========================================================================

COLUMN  name   FORMAT A30 HEADING "Latch Name"
COLUMN  mg   FORMAT 9.9999 HEADING "Miss Ratio"
COLUMN  img   FORMAT 9.9999 HEADING "Immediate Miss Ratio"

SELECT name,
 Round((misses/decode(gets,0,1,gets)),5) * 100 "Miss Ratio",
 Round((immediate_misses/decode(immediate_gets,0,1,immediate_gets))*100,5) "Immediate Miss Ratio"
FROM v$latch@@
WHERE name in ('library cache', 'library cache load lock');

REM  ************************************************************************
REM  * End of script
REM  ************************************************************************




