
REM  ************************************************************************
REM *  FileName  : st_pgauga_mem.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Current PGA,UGA session memory
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Current PGA,UGA session memory
PROMPT  ========================================================================
PROMPT    Goal   : 
PROMPT    Action : 
PROMPT    Desc   : 
PROMPT    FileName : st_pgauga_mem.sql
PROMPT                
PROMPT  ========================================================================

COLUMN  sid        FORMAT 999 HEADING 'Sid'           
COLUMN  username   FORMAT A8 HEADING 'Username'      
COLUMN  terminal   FORMAT A10 HEADING 'terminal'      
COLUMN  pgm        FORMAT A30 HEADING 'program'       
COLUMN  val1      FORMAT A7 HEADING 'PGA session memory' 
COLUMN  val2       FORMAT A7 HEADING 'UGA session memory' 
COLUMN  vals1      FORMAT A11 HEADING 'SUM PGA mem' 
COLUMN  vals2      FORMAT A11 HEADING 'SUM UGA mem' 

SELECT  sess.sid, 
 sess.username, 
 substr(sess.program,1,30) as Program,
 sess.terminal,
 max(decode(name.name,'session pga memory',trunc(value/1024/1024)||'M',0)) as PGA_session_memory,
 max(decode(name.name,'session uga memory',trunc(value/1024/1024)||'M',0)) as UGA_session_memory
FROM  v$session@@ sess, 
 v$sesstat@@ stat, 
 v$statname@@ name
WHERE  sess.sid = stat.sid
AND  stat.statistic# = name.statistic#
AND  name.name like 'session%'
GROUP  BY sess.sid,sess.username,substr(sess.program,1,30),sess.terminal;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************



