
REM  ************************************************************************
REM *  FileName  : st_rbs_wait.sql
REM * Author    : 
REM * Created  : 2001.7.2
REM * Last Update  :
REM * Description : Rollback Segment Header Wait Ratio
REM *************************************************************************

PROMPT  ========================================================================
PROMPT  Rollback Segment Header Wait Ratio
PROMPT  ========================================================================
PROMPT    Goal   : 1% ̸ 
PROMPT    Action : ROLLBACK SEGMENT ÷ش.
PROMPT    Desc   : 
PROMPT    FileName : st_rbs_wait.sql
PROMPT                
PROMPT  ========================================================================

COLUMN  Wait_Ratio  FORMAT 99.99

SELECT  name "rollback segment name",
 gets,
 waits,
        trunc(waits*100/gets, 5)||'%' Wait_ratio
FROM  v$rollstat@@, v$rollname@@
WHERE  v$rollstat.usn = v$rollname.usn
ORDER BY Wait_ratio Desc;

---------------------------------------------------------------------------------------

V$ROLLSTAT
This view contains rollback segment statistics. 

Column   Datatype   Description   
USN  
 NUMBER  
 Rollback segment number  
 
EXTENTS  
 NUMBER  
 Number of extents in rollback segment  
 
RSSIZE  
 NUMBER  
 Size in bytes of rollback segment  
 
WRITES  
 NUMBER  
 Number of bytes written to rollback segment  
 
XACTS  
 NUMBER  
 Number of active transactions  
 
GETS  
 NUMBER  
 Number of header gets  
 
WAITS  
 NUMBER  
 Number of header waits  
 
OPTSIZE  
 NUMBER  
 Optimal size of rollback segment  
 
HWMSIZE  
 NUMBER  
 High water mark of rollback segment size  
 
SHRINKS  
 NUMBER  
 Number of times the size of a rollback segment decreases  
 
WRAPS  
 NUMBER  
 Number of times rollback segment is wrapped  
 
EXTENDS  
 NUMBER  
 Number of times rollback segment size is extended  
 
AVESHRINK  
 NUMBER  
 Average shrink size  
 
AVEACTIVE  
 NUMBER  
 Current size of active extents, averaged over time.  
 
STATUS  
 VARCHAR2(15)  
 Rollback segment status  
 
CUREXT  
 NUMBER  
 Current extent  
 
CURBLK  
 NUMBER  
 Current block  
 



REM  ************************************************************************
REM  * End of script
REM  ************************************************************************


