
REM  ************************************************************************
REM *  FileName  : st_sort_segment.sql
REM * Author    : KeonTaek.Lee
REM * Created  : 2002.7.26
REM * Last Update  :
REM * Description : 
REM *************************************************************************


select TABLESPACE_NAME,
  TOTAL_EXTENTS,
  USED_EXTENTS,
  FREE_EXTENTS,
  MAX_USED_SIZE,
  MAX_SORT_SIZE
from v$sort_segment@@;


REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

Column   Datatype   Description   
TABLESPACE_NAME  
 VARCHAR2(31)  
 Name of tablespace  
 
SEGMENT_FILE  
 NUMBER  
 File number of the first extent  
 
SEGMENT_BLOCK  
 NUMBER  
 Block number of the first extent  
 
EXTENT_SIZE  
 NUMBER  
 Extent size  
 
CURRENT_USERS  
 NUMBER  
 Number of active users of the segment  
 
TOTAL_EXTENTS  
 NUMBER  
 Total number of extents in the segment  
 
TOTAL_BLOCKS  
 NUMBER  
 Total number of blocks in the segment  
 
RELATIVE_FNO  
 NUMBER  
 Relative file number of the sort segment header  
 
USED_EXTENTS  
 NUMBER  
 Extents allocated to active sorts  
 
USED_BLOCKS  
 NUMBER  
 Blocks allocated to active sorts  
 
FREE_EXTENTS  
 NUMBER  
 Extents not allocated to any sort  
 
FREE_BLOCKS  
 NUMBER  
 Blocks not allocated to any sort  
 
ADDED_EXTENTS  
 NUMBER  
 Number of extent allocations  
 
EXTENT_HITS  
 NUMBER  
 Number of times an unused extent was found in the pool  
 
FREED_EXTENTS  
 NUMBER  
 Number of deallocated extents  
 
FREE_REQUESTS  
 NUMBER  
 Number of requests to deallocate  
 
MAX_SIZE  
 NUMBER  
 Maximum number of extents ever used  
 
MAX_BLOCKS  
 NUMBER  
 Maximum number of blocks ever used  
 
MAX_USED_SIZE  
 NUMBER  
 Maximum number of extents used by all sorts  
 
MAX_USED_BLOCKS  
 NUMBER  
 Maximum number of blocks used by all sorts  
 
MAX_SORT_SIZE  
 NUMBER  
 Maximum number of extents used by an individual sort  
 
MAX_SORT_BLOCKS  
 NUMBER  
 Maximum number of blocks used by an individual sort 
 
