
REM  ************************************************************************
--PROMPT  ========================================================================
--PROMPT  TPS (TX Per Second) after DB STARTUP.
--PROMPT  ========================================================================
--PROMPT    Goal   : 
--PROMPT    Action : 
--PROMPT    Desc   : 
--PROMPT    FileName : st_tps.sql
--PROMPT                
--PROMPT  ========================================================================

SELECT ROUND(A.VAL1, 1) TX_COUNT,
  ROUND(B.VAL2*3600*24, 1) PAST_SECS,
  ROUND((A.VAL1 / (B.VAL2*3600*24)), 1) TPS,
  ROUND((A.VALC / (B.VAL2*3600*24)), 1) TPS_Commit,
  ROUND((A.VALR / (B.VAL2*3600*24)), 1) TPS_Rollback
FROM (
    SELECT SYSDATE,
      SUM(VALUE) VAL1,
      SUM(DECODE(name,'user commits',value,0)) ValC,
      SUM(DECODE(name,'user rollbacks',value,0)) ValR
    FROM V$SYSSTAT
    WHERE NAME IN ('user commits',
          'user rollbacks')) A,
  (
    SELECT (SYSDATE - STARTUP_TIME) VAL2
    FROM V$INSTANCE) B ;
    
REM  ************************************************************************
REM  * End of script
REM  ************************************************************************

